Subject: bug#62004: 30.0.50; comp-run-async-workers failure when default-directory deleted

From: Eli Zaretskii <[email-masked]>
Date: Tue, 07 Mar 2023 16:16:38 +0200

> From: Andrea Corallo <[email-masked]>
> Cc: [email-masked], [email-masked]
> Date: Tue, 07 Mar 2023 13:51:37 +0000
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > Well, maybe we should bind the variable to be on the safe side?  What
> > if we bind it to the directory where we write that
> > emacs-async-comp-something.el file?
> 
> Maybe but the reporter says "The default-directory is dependent on where
> comp-run-async-workers happens to kick off." and I don't understand if
> that's correct why is that.
> 
> I'd like first to understand better the issue here.

I agree that we should first have a good understanding of the
situation.  Let me know if I can help in any way.